MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027876Community[OCCT] OCCT:Documentationpublic2016-09-15 09:212017-09-29 16:29
Reporterickby 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027876: Draw mkoffset does not work
DescriptionTrying to use mkoffset fails in occ 7.0 silently, I found no way to make it work. Even the example given in the stable and development documentation fails, just try it. The steps to reproduce use the documentation example.
Steps To Reproducepload ALL
box b 1 2 3
explode b f
mkoffset r b_1 3 2

nbshapes r #nothing is printed
vinit
vdisplay r
#Error: object with name 'r' does not exist!
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0057812)
ickby (reporter)
2016-09-15 09:23

At FreeCAD we wantet to investigate this bug: http://forum.freecadweb.org/viewtopic.php?f=3&t=17448&p=137535#p137503 [^]
We can't properly test and report it now, is there any workaround?
(0069161)
ickby (reporter)
2017-08-07 15:33

Still fails in occ 7.1 and 7.2 beta version. Please update the documentation on howto use this command.
(0069166)
git (administrator)
2017-08-07 16:48

Branch CR27876 has been created by emv.

SHA-1: 2faab498b670c059694cbf8534aed43c63aa8bc0


Detailed log of new commits:

Author: emv
Date: Mon Aug 7 16:47:53 2017 +0300

    0027876: Draw mkoffset does not work
    
    Updating the documentation for the Draw command *mkoffset*.
(0069167)
emv (developer)
2017-08-07 16:49

Dear Julia, could you please review the updated documentation for the mkoffset command.
(0069168)
git (administrator)
2017-08-07 17:03

Branch CR27876 has been updated by emv.

SHA-1: bcbb21b55ecc2625e2ee9a9a73e4dae638fe6279


Detailed log of new commits:

Author: emv
Date: Mon Aug 7 17:02:36 2017 +0300

    # Corrections according to verbal remarks.

(0069171)
git (administrator)
2017-08-07 17:19

Branch CR27876 has been updated forcibly by emv.

SHA-1: 4cf0d314e67e2bccf2a37104bb347fb235f4dbec
(0069172)
jgv (developer)
2017-08-07 17:21

Ok.
(0069174)
emv (developer)
2017-08-07 17:22

Dear bugmaster, no testing of the patch is needed, as only documentation has been updated.
(0069616)
git (administrator)
2017-08-18 17:00

Branch CR27876 has been deleted by kgv.

SHA-1: 4cf0d314e67e2bccf2a37104bb347fb235f4dbec

- Related Changesets
occt: master 9d8e0744
Timestamp: 2017-08-07 13:47:53
Author: emv
Committer: bugmaster
Details ] Diff ]
0027876: Draw mkoffset does not work

Updating the documentation for the Draw command *mkoffset*.
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-15 09:21 ickby New Issue
2016-09-15 09:21 ickby Assigned To => apn
2016-09-15 09:23 ickby Note Added: 0057812
2017-08-07 15:33 ickby Note Added: 0069161
2017-08-07 15:34 ickby Assigned To apn => msv
2017-08-07 15:34 bugmaster Assigned To msv => emv
2017-08-07 16:48 git Note Added: 0069166
2017-08-07 16:49 emv Note Added: 0069167
2017-08-07 16:49 emv Assigned To emv => jgv
2017-08-07 16:49 emv Status new => resolved
2017-08-07 17:03 git Note Added: 0069168
2017-08-07 17:19 git Note Added: 0069171
2017-08-07 17:21 jgv Note Added: 0069172
2017-08-07 17:21 jgv Assigned To jgv => bugmaster
2017-08-07 17:21 jgv Status resolved => reviewed
2017-08-07 17:22 emv Note Added: 0069174
2017-08-07 17:22 emv Severity major => integration request
2017-08-07 17:22 emv Category OCCT:DRAW => OCCT:Documentation
2017-08-07 17:28 bugmaster Status reviewed => tested
2017-08-07 18:46 bugmaster Test case number => Not required
2017-08-08 16:34 bugmaster Target Version => 7.2.0
2017-08-11 07:52 bugmaster Changeset attached => occt master 9d8e0744
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069616
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker